<VirtualHost *:80>
	# The ServerName directive sets the request scheme, hostname and port that
	# the server uses to identify itself. This is used when creating
	# redirection URLs. In the context of virtual hosts, the ServerName
	# specifies what hostname must appear in the request's Host: header to
	# match this virtual host. For the default virtual host (this file) this
	# value is not decisive as it is used as a last resort host regardless.
	# However, you must set it for any further virtual host explicitly.
	#ServerName www.example.com

ServerName openmodelica.org
ServerAlias hugo.openmodelica.org
ServerAlias www.openmodelica.org

	ServerAdmin webmaster@openmodelica.org
	DocumentRoot /var/www/hugo.openmodelica.org

<Directory /var/www/hugo.openmodelica.org>
    Options Indexes FollowSymLinks
    AllowOverride All
    Require all granted
</Directory>

RewriteEngine On


	# Available loglevels: trace8, ..., trace1, debug, info, notice, warn,
	# error, crit, alert, emerg.
	# It is also possible to configure the loglevel for particular
	# modules, e.g.
	#LogLevel info ssl:warn

	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined
RewriteCond %{SERVER_NAME} =hugo.openmodelica.org [OR]
RewriteCond %{SERVER_NAME} =openmodelica.org [OR]
RewriteCond %{SERVER_NAME} =www.openmodelica.org
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
